Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.seq.io.agave
Interface StAXHandlerFactory

    public interface StAXHandlerFactory

Factory for StAX content handlers. Roughly all xml elements are seperated into two parts: those hold features and those hold annotations. (Hanningn)

Author:
  copied from Thomas Down

Method Summary
`StAXContentHandler` | `getHandler(StAXFeatureHandler staxenv)` Return a suitable StAX content handler.

Method Detail

### getHandler

    StAXContentHandler getHandler(StAXFeatureHandler staxenv)

  Return a suitable StAX content handler.

  Parameters:
    `staxenv` - An StAXFeatureHandler which defines the current XFF parsing `environment'.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD